---
import BasicLayout from "@layouts/Basic.astro";
import FilosofosIndex from "@components/FilosofosIndex.jsx";
import "@styles/filosofos.css";
import { nhost } from "@utils/NhostClient";

// The content for page metadata & Open Graph metadata:
const canonicalURL = new URL(Astro.url.pathname, Astro.site);
const metaTitle = "Filósofos(as)";
const metaDescription = "Índice de filósofos(as).";
const metaCanonicalURL = canonicalURL.href;
const metaType = "website";
const metaImage =
  canonicalURL.origin + "/images/Rembrandt_-_The_Philosopher_in_Meditation.jpg";

// Let's get the philosophers data to create the index:
const response = await nhost.graphql.request(`
    query {
      people(order_by: {birth_year: asc}) {
				name
				slug
				birth_year
				birth_year_estimation
				death_year
				death_year_estimation
      }
    }
  `);
// We save the response in a constant for easier use on the Page Template below:
const people = response.data.people;
---

<script is:inline src="/scripts/platform.js"></script>
<script is:inline src="/scripts/checkBrowserCompatibility.js"></script>
<script is:inline>
  // Hiding the search on old browsers (Svelte integration on Astro doesn't work on them):
  // https://github.com/bestiejs/platform.js
  // https://caniuse.com/mdn-javascript_operators_optional_chaining
  window.onload = function () {
    if (!checkBrowserCompatibility("frameworkIntegration", platform)) {
      document.getElementById("orderButtons").style.display = "none";
    }
  };
</script>

<BasicLayout
  metaTitle={metaTitle}
  metaDescription={metaDescription}
  metaCanonicalURL={metaCanonicalURL}
  metaType={metaType}
  metaImage={metaImage}
>
  <h1>Filósofos(as)</h1>

  <FilosofosIndex people={people} client:load />
</BasicLayout>
